package com.qmth.qrzk.repository.user.service;

import java.util.List;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.Role;
import com.qmth.qrzk.repository.user.model.UserRole;

public interface IRoleService {
	
	public List<Role> getRoleNames(List<Integer> ls);

	public List<Role> getRolesByUserId(int userId);
	
	public List<Role> getAllRoles(UserQueryParams params);
	
	public int getAllRolesCount(UserQueryParams params);
	
	public void insertUserRole(UserRole userRole);
	
	public void delByUserId(int user_id);
	
	public List<Integer> findSECRETARY();
	
	public void addLinkRole(List<UserRole> list);
	
	public Role findByCode(String code);
	
	public boolean isQuesAuditor(int userId);
	
	public boolean isQuesInputer(int userId);
}
